Last modified: 2014-06-17 17:02:42 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 27647 - Vector's 'expandablesearch' component is broken
Vector's 'expandablesearch' component is broken
Status: RESOLVED WONTFIX
Product: MediaWiki skins
Classification: Unclassified
Vector (Other open bugs)
unspecified
All All
: Normal normal
: ---
Assigned To: Bartosz Dziewoński
:
Depends on:
Blocks: 46515
  Show dependency treegraph
 
Reported: 2011-02-23 00:32 UTC by Rusty Burchfield
Modified: 2014-06-17 17:02 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Screen capture of the problem (5.10 KB, image/png)
2011-02-23 00:32 UTC, Rusty Burchfield
Details

Description Rusty Burchfield 2011-02-23 00:32:17 UTC
Created attachment 8198 [details]
Screen capture of the problem

When you focus the search box, it will expand inside a statically sized div with overflow auto and scrollbars will fill the entire space.

The module doesn't appear to have been touched since the last time I updated.  So, there must have been a change to the Vector skin that caused it to break.  I am running the MediaWiki and extension code from trunk.
Comment 1 Derk-Jan Hartman 2011-02-27 20:36:52 UTC
It indeed seems that the current vector styling of the searchfield is no longer compatible with this JS extension. Should we simply remove the module, or does anyone want to fix it ?
Comment 2 Mark A. Hershberger 2011-03-08 23:33:05 UTC
assigning to tarball blocker, so we need to make a decision by then.
Comment 3 Mark A. Hershberger 2011-03-26 06:03:54 UTC
Think we decided this one isn't a blocker.
Comment 4 Trevor Parscal 2011-03-28 17:18:23 UTC
Yes, i added comments to the source help explain that the expandable search is NOT ment to be used in the wild.
Comment 5 Bugmeister Bot 2011-08-19 19:12:57 UTC
Unassigning default assignments. http://article.gmane.org/gmane.science.linguistics.wikipedia.technical/54734
Comment 6 Bartosz Dziewoński 2013-02-11 18:11:44 UTC
Marking as WFM; the entire search suggestions feature has been since reworked and merged into core, so this is probably no longer valid.
Comment 7 Rusty Burchfield 2013-03-24 20:32:12 UTC
This feature is still broken.  It should probably be removed.  In any case, I have no expectation that someone will make it work again.  Switching resolution to WONTFIX.
Comment 8 Bartosz Dziewoński 2013-03-24 21:52:17 UTC
Uh, I may have misunderstood this at first. This isn't about the search suggestions, but about the 'expandablesearch' component of the Vector extension?

In this case, there is currently a push to make the good parts of it into core MediaWiki. If you're interested in having this part cleaned up and merged (or even more, willing to do it yourself), please head to bug 46515 :)
Comment 9 Gerrit Notification Bot 2013-09-14 10:43:22 UTC
Change 84195 had a related patch set uploaded by Bartosz Dziewoński:
Delete the ext.vector.expandableSearch module

https://gerrit.wikimedia.org/r/84195
Comment 10 Gerrit Notification Bot 2013-09-15 02:49:46 UTC
Change 84195 merged by jenkins-bot:
Delete the ext.vector.expandableSearch module

https://gerrit.wikimedia.org/r/84195
Comment 11 Daniel Friesen 2013-09-15 04:30:34 UTC
Personally, I'd be 'interested' in fixing the feature... if I had the time.
Comment 12 Bartosz Dziewoński 2013-09-15 10:58:55 UTC
There is no reason this can't be reimplemented in core in the future, but Vector's implementation kinda sucked, to be honest.

Given that the component is now gone, I'm going to close this bug as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links